package MyClass;

use strict;
use warnings;
use XML::Parser;


my $XML_DIR = $config->getXMLDirectory;

#Constructor
sub new{

    my $this = shift; #Cogemos la clase que somos o una referencia a la clase (si soy un objeto)
    my $class = ref($this) || $this; #Averigua la clase a la que pertenece
	
	#Atributos
	my $self = {
      
		file => "",
		#more class attributes...
    };
	
	#Perl nos tiene que dar el visto bueno (bendecirla)
	bless $self, $class;

	#Devolvemos la clase recién construida
	return ($self);
}


sub index_corpus{

	my $self = shift;

	#my process.....
}


sub build_command{

	my $self = shift;

	&parseData($XML_DIR, $self->{file});

	#my process....
}


sub parseData{

	my $XML_DIR = shift;
	my $file = shift;

	my $parser = XML::Parser->new( ErrorContext => 2 );#Style => 'Debug'
	$parser = new XML::Parser(Handlers => {Start => \&handle_start,
                                End   => \&handle_end,
                                Char  => \&handle_char});

	$parser->parsefile($XML_DIR."/".$file);	
}

sub handle_start{

	my $p = shift;
    my $tag = shift || "";
	
	my $attr = shift || "";#ID del 1º atributo en el XML
	my $val = shift || "";#Valor 1ºdel atributo en el XML
	
	my $attr2 = shift || "";#ID 2º del atributo en el XML
	my $val2 = shift || "";#Valor 2º del atributo en el XML
	
	my $attr3 = shift || "";#ID 3º del atributo en el XML
	my $val3 = shift || "";#Valor 3º del atributo en el XML

	#my process.....
}

sub handle_char{

	my $p = shift;
    my $value = shift;
	
	#my process.....
}

sub handle_end{

	my $p = shift;
    my $tag = shift;

	#my process.....
}


1;
